Summary:   Lesstif Motif-1.2 toolkit clone
Name:      lesstif-current
Version:   1999.01.28
Release:   1
Copyright: GPL
Group:     Development/Libraries/Lesstiff
Source:    ftp://ftp.hungry.com/pub/hungry/lesstif/lesstif-notest-current.tar.gz
Patch:     lesstif.redhat-optflags.patch
BuildRoot: /tmp/lesstif-root
Provides:   lesstif
Obsoletes:  lesstif

%description
Lesstif is an API compatible clone of the Motif toolkit.
Currently Lesstif is partially implemented with most of the API in place.
Having said this, some of the internal functionality is still missing.
Many Motif applications compile and run out-of-the-box with LessTif,
and we want to hear about those that don't.

%package mwm
Provides:   lesstif-mwm,mwm
Obsoletes:  lesstif-mwm,mwm
Summary: Lesstif Motif window manager clone based on fvwm
Group: X11/Window Managers
%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.

%package clients
Provides: lesstif-clients
Obsoletes: lesstif-clients
Summary: lesstif clients
Group: X11/Applications
%description clients
Uil and xmbind.

%package devel
Provides:   lesstif-devel
Obsoletes:  lesstif-devel
Group: Development/Libraries/Lesstiff
Summary: static library and header files for Lesstif/Motif-1.2 developmen
%description devel
This package contains the lesstif static library and header files
required to develop motif-1.2-based applications.
Package also conntains development documentation in html (Lessdox), and
mxmkmf for Lesstif.

%prep
%setup -q -n lesstif-current
%patch -p1
# fix time sync problems with lesstif-current
#touch now
#touch `find . -newer now`
#rm -f now

rm -rf $RPM_BUILD_ROOT
autoconf
LESSTIFTOP=$PWD
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
            --enable-shared --enable-static --enable-build-12 \
            --disable-maintainer-mode --disable-debug --disable-verbose
( cd lib/Xlt && \
   ./configure --prefix=/usr/X11R6 --enable-shared --enable-static \
               --disable-maintainer-mode --disable-debug --disable-verbose \
               --with-motif-includes=$LESSTIFTOP/include/Motif-1.2 \
               --with-motif-libraries=$LESSTIFTOP/lib/Xm/.libs )


%build
make
( cd lib/Xlt && make )

%install
make install prefix=$RPM_BUILD_ROOT/usr/X11R6
( cd lib/Xlt && make install prefix=$RPM_BUILD_ROOT/usr/X11R6 )

strip $RPM_BUILD_ROOT/usr/X11R6/bin/{mwm,uil,xmbind}
strip $RPM_BUILD_ROOT/usr/X11R6/lib/lib{Xm,Mrm,Xlt}.so.*

install -d $RPM_BUILD_ROOT/etc/X11
ln -sf ../../usr/X11R6/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11/mwm

install -d $RPM_BUILD_ROOT/usr/X11R6/man
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man5
install -c -m 644 doc/lessdox/clients/mwmrc.5   $RPM_BUILD_ROOT/usr/X11R6/man/man5
install -c -m 644 doc/lessdox/clients/mwm.1     $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -c -m 644 doc/lessdox/clients/lesstif.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -c -m 644 doc/lessdox/clients/xmbind.1  $RPM_BUILD_ROOT/usr/X11R6/man/man1

# generate config files 
cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config;

mv Imake.tmpl Imake-lesstif.tmpl.orig


perl -ne ' 
    if( /#include <Imake.rules>/ ){              
        print $_;
        print "#include <Motif-lesstif.tmpl>\n";
        print "#include <Motif-lesstif.rules>\n";
    }
    elsif ( /IMAKE_CMD = \$\(IMAKE\)/ ){
        print STDERR "found\n";
        s|\$\(IMAKE\)|\$(IMAKE) -T Imake-lesstif.tmpl|;
        print $_;
    }
    else {
        print $_;
    }
' < /usr/X11R6/lib/X11/config/Imake.tmpl > Imake-lesstif.tmpl


mv Motif.rules Motif-lesstif.rules
mv Motif.tmpl  Motif-lesstif.tmpl

cd $RPM_BUILD_ROOT/usr/X11R6/bin
sed -e 's/imake $args/imake -T Imake-lesstif.tmpl $args/' < `which xmkmf` > mxmkmf

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc etc/{example.motifbind,motifbind.sun+linux}
%attr(-, root, root) %doc AUTHORS BUG-REPORTING COPYING COPYING.LIB CREDITS 
%attr(-, root, root) %doc CURRENT_NOTES ChangeLog KNOWN_BUGS NEWS NOTES 
%attr(-, root, root) %doc README RELEASE-POLICY TODO
%attr(-, root, root) %doc doc/{*.txt,*.html,fig/*}
%attr(-, root, root) %doc doc/www.lesstif.org/{*.html,images/*.gif}
%attr(644, root, root) /usr/X11R6/lib/libMrm.so*
%attr(644, root, root) /usr/X11R6/lib/libXm.so*
%attr(644, root, root) /usr/X11R6/lib/libXlt.so*
%attr(644, root, root) /usr/X11R6/man/man1/lesstif.1

%files mwm
%attr(-, root, root) %doc clients/Motif-1.2/mwm/{COPYING,README}
%attr(755, root, root) %dir /etc/X11/mwm
%attr(755, root, root) %dir /usr/X11R6/lib/X11/mwm
%attr(755, root, root) /usr/X11R6/bin/mwm
%attr(644, root, root) %config /usr/X11R6/lib/X11/mwm/*
%attr(644, root, root) %config /usr/X11R6/lib/X11/app-defaults/Mwm
%attr(644, root, root) %doc doc/MWM.txt
%attr(644, root, root) /usr/X11R6/man/man1/mwm.1
%attr(644, root, root) /usr/X11R6/man/man5/mwmrc.5

%files clients
%attr(755, root, root) /usr/X11R6/bin/uil
%attr(755, root, root) /usr/X11R6/bin/xmbind
%attr(644, root, root) %doc doc/UIL.txt
%attr(644, root, root) /usr/X11R6/man/man1/xmbind.1

%files devel
%attr(-, root, root) %doc etc/README.linuxaout
%attr(-, root, root) %doc doc/lessdox/*
%attr(755, root, root) %dir /usr/X11R6/include/Mrm
%attr(755, root, root) %dir /usr/X11R6/include/Xm
%attr(644, root, root) /usr/X11R6/include/Mrm/*
%attr(644, root, root) /usr/X11R6/include/Xm/*
%attr(644, root, root) /usr/X11R6/include/Xlt/*
%attr(644, root, root) /usr/X11R6/lib/libMrm.*a
%attr(644, root, root) /usr/X11R6/lib/libXm.*a
%attr(755, root, root) /usr/X11R6/bin/mxmkmf
#%attr(644, root, root) %config /usr/X11R6/lib/X11/config/*

%changelog
* Thu Jul  9 1998 Alexey Nogin <ayn2@cornell.edu>
- added --disable-debug --disable-verbose options to configure
- added RPM_OPT_FLAGS configure patch 
  by Jack Howarth <howarth@bromo.med.uc.edu>

* Thu Apr 30 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Updated to lessdoc-current.
- Removes Lessdox package (integrated into lesstif)

* Tue Mar 31 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Removed pedantic.patch
- Removed lesstif-M12 (Motif 1.2 wrapper)
- Reviewed installation and fixed %files sections.
- Added patch to fix a bug which causes mozilla to crash.
- Added patch to fix the include prefix on install.

* Sun Jul 20 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>        (0.80-2)
- added to all %doc %attr macros (this allow build package from normal user
  account),
- some simplification in %files (%doc).
* Wed Jul 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added using %%{PACKAGE_VERSION} macro in "Source:" and %files,
- added additional parameter "--enable-build-12" to runing configure,
- added %posun and %clear,
- in %post and %postun ldconfig is called as parameter with "-p"
  (this feature is avalable in rpm >= 2.4.3 and you must have this
  version and if you want recompile package from src.rpm you must have new
  version rpm),
- added package lesstif-M12 simpe Motif 1.2 wrapper,
- simplified %install section,
- added %attr macros in %files sections,
- added striping shared libraries,
- added URL field,
- added Lessdox - a html development documentation to lesstif-devel,
- added lesstif-0.80public-nopedantic.patch, this allow compile lesstif on
  sparc by removing "-pedantic" from CFLAGS.




